Commits

mruffalo committed 3e060cb

lrucache.py: remove __future__.generators import

Python 2.4 is now the minimum version, and generators don't require a
__future__ import now.

Comments (0)

Files changed (1)

lib/bx_extras/lrucache.py

 
 """
 
-from __future__ import generators
-
-# TODO: Remove this in favor of functools.lru_cache
+# TODO: Remove this file in favor of functools.lru_cache
+# when the minimum Python version is high enough
 
 import time
 from heapq import heappush, heappop, heapify